local function getCurrentFile()
	local test=function() end
	local toplevel=1
	local info
	while true do
		if(not debug.getinfo(toplevel,"S")) then info=debug.getinfo(toplevel-2,"S") break end
		info=debug.getinfo(toplevel,"S")
		toplevel=toplevel + 1
		
	end
	local topsrc=info.source
	if(topsrc:sub(1,1)=="@") then topsrc=topsrc:sub(2) end
	return topsrc
end
function security.PreventRequest(msg)
	print(getCurrentFile())
	if(getCurrentFile()==REQUEST.FILE) then
		security.KillScript(msg)
	end
end